#!/bin/bash

jobs=$(( $(nproc) * 7 / 8 ))
args=( "-V" "--jobs=${jobs}" "$@" )

# unittests needs a complete clone
git fetch --unshallow

# path to the src clone
export CODEASTER_SRC=$(pwd)/src
# configure src
(cd $CODEASTER_SRC ; ./configure)

cd share/test
. env_test.sh

printf "\nrunning testcases #1... - $(date)\n"
ctest "${args[@]}"
iret=$?

if [ ${iret} -ne 0 ]; then
    printf "\nrunning testcases #2 (rerun-failed)... - $(date)\n"
    ctest "${args[@]}" --rerun-failed
    iret=$?
fi

exit ${iret}
